apiVersion: apiextensions.crossplane.io/v1
kind: CompositeResourceDefinition
metadata:
  name: xcompositionselections.crossplane.corewire.de  # required to be in the format <plural>.<group>
  namespace: iam
spec:
  group: crossplane.corewire.de
  names:
    kind: XCompositionSelection
    plural: xcompositionselections
  versions:
  - name: v1alpha1
    served: true
    referenceable: true
    schema:
      openAPIV3Schema:
        type: object
        properties:
          spec:
            type: object
            properties:
              realm:
                type: string
            required:
            - realm
        required:
        - spec
